MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::InputError Class Reference

This is thrown when invalid input is provided. More...

`#include <scexception.h>`

Inheritance diagram for sc::InputError:

List of all members.

## Public Member Functions

| InputError (const char *description=0, const char *file=0, int line=0, const char *keyword=0, const char *value=0, const ClassDesc *class_desc=0, const char *exception_type="InputError") throw ()
| InputError (const InputError &) throw ()
const char * | keyword () const throw ()
const char * | value () const throw ()

## Detailed Description

This is thrown when invalid input is provided.

Note that sometimes input can be internally generated, so what logically would be a ProgrammingError could result in an InputError being thrown.

The documentation for this class was generated from the following file:

- scexception.h